#include <stdlib.h>  
#include <signal.h> 
#include <ctype.h>
#include <sys/types.h>
#include <time.h>
#include <unistd.h>
#include <limits.h>

/* Constantes del Tableau */
#define ENT 		0
#define DIG 		1 
#define REAL 		2
#define CANT_TABLEAUX 	3
#define TAM_TABLEAU 	10
#define ENTRADA_LIBRE 	0    

/* Valores de los estados del tableau */
#define CANT_ESTADOS 	13
#define TODO_OK  	1
#define DA		2
#define DK		3
#define HI		4
#define HK		5
#define LO		6
#define LK		7
#define SA		8
#define SK		9
#define ERR_TRANS 	18
#define ERR_INIT_PORT 	19
#define ERR_PORC	20


/* Constantes booleanas */
#define SIEMPRE 1
#define FALSE 0
#define TRUE 1


/* Constantes para senhales */
#define PETATE  SIGUSR1
#define SH      SIG_IGN

/*
#define PETATE kill(pid, SIGUSR1)
#define SHH    signal(SIGUSR1, shh)
*/


/* Constantes para los ports */
#define POLL    0 
#define SELECT  1

/* Constantes para tareas */
#define CANT_TAREAS  5
#define INTERACTIVA  0        /* Defino una tarea interactiva */
#define CICLICA      0

#define TAM_NOM      10
#define MAX_PROC     100      /* cantidad maxima de procesos en la lista */
#define MAX_ALM	     500      /* Cantidad maxima de alarmas */

/* Constantes de error */

#define ERR_TABLEAU		6
#define OPEN_ARCH		7
#define SEEK			8
#define ACCESO_TABL		9
#define ERROR_CLOSE		10
#define CONVERS			11
#define WRITE			12
#define NO_HAY_VALORES 		13
#define COLA_PLC_LLENA	        14
#define PORT_NO_ASIGNADO	15
#define NADA_QUE_MANDAR		16    /* poll */
#define KILL			17
   
#define ERROR_FORK	       -1
#define NO_HAY_ESPACIO          TAM_TABLEAU


/* Constantes de nombres de funciones para el Display */
#define DISP 	0
#define CAM	1
#define	CALM	2
#define DEFPAR  3
#define SHELL	4
#define HELP	5
#define CAMREF  6
#define REF     7
#define CLS 	8
#define SAL	9 
#define APAGAR  10
#define IMPHIS  11
#define DEFALM  12
#define DIA	13
#define ACK	14

#define Off	"off"   /* Tiene que ser tamanio TAM_NOM para el pipe */
#define STDPRN   1
#define STDOUT   0

extern shh();

typedef long real;
