#include "const.h"
#define CANT_CODIGOS 15

/* Este archivo contiene la definicion de los nombres a ser usados por las
diversas tareas */

/* Tabla de nombres usados por la tarea de Input */

char *codigos[CANT_CODIGOS] = { "DISP",
		     		"CAM",
				"CALM",
				"DEFPAR",
				"SH",
				"HELP",
				"CAMREF",
				"REF",
				"CLS",
				"SAL",
				"APAGAR",
				"IMPHIS",
				"DEFALM",
				"DIA",
				"ACK"
		   	       };


/* Tabla de nombres de las tareas */         
char *nom_tareas[CANT_TAREAS] = {
				"INPUT",
				"DISPLAY",
				"DRIVER",
				"HISTORIC",
				"ALARM"
				};

extern int alarmas(), display(), input(), driver(), historic();

int (*tarea[CANT_TAREAS]) () = {
			  input,
			  display,
			  driver,
			  historic,
			  alarmas
			    };

int vector_periodos[CANT_TAREAS] = { INTERACTIVA, 5, 4, 2, 3 };

char *estados[CANT_ESTADOS] = { "ERROR", "OK", "DA", "DK", "HI", "HK", "LO", "LK",
			 "SA", "SK", "PANICO", "ERR_IN_PLC", "ERR_TRANS" };

shh() {}
