#include "const.h"
#include <limits.h>
#include <stdio.h>
#include <fcntl.h>

real read_real(tabla)
int tabla;
{
   char *real_ascii;
   real flotante;
   real convertir();

   scanf("%s", real_ascii);
   flotante = convertir(real_ascii, tabla);
   
   if (flotante == LONG_MAX)
	printf("El numero ingresado no es correcto \n");

   return flotante;
}

real convertir(string, tabla)
char *string;
int tabla;
{
   char numero[20], *p;
   int i;

   for (p = &numero[0]; isdigit(*string); p++, string++)	
			*p = *string;
   *p = '\0';

   if (*string == '\0')
	{
	add_ceros(5, numero);
	return(atol(numero));
	}
   
   if (*string++ != '.') return (LONG_MAX);  /* es un error
		 		Hay basura en el numero */

   if (tabla == ENT || tabla == DIG) 
		{
		add_ceros(5, numero);
		return(atol(numero));
		/* Error. Se ingreso un numero real en tablas enteras */
		}

   for(i=0; isdigit(*string) && i<5; i++)
		*p++ = *string++;
   *p = '\0';

   if (i<5) add_ceros(5-i, numero);
   return(atol(numero));
}


add_ceros(cant, donde)
int cant;
char *donde;
{
    int i;
 
    for(i=0; i<cant; i++)
	strcat(donde, "0");
}


print_real(donde, n)
int donde;
real n;
{
   int i,j;
   char s[20], t[20];

   j = 0;
   if (n < 0) 
	{
	t[j++] = '-';
	n = -n;
	}

   if (n == 0)
	{
	switch(donde)
	  {
	   case STDOUT: 
		printf("%10.10s", "0.00000");
		break;
	
	   case STDPRN:
 		{
		int stdprn;
			
		stdprn = open("/dev/lp", O_WRONLY);
		write(stdprn, "0.00000", 8);
		close(stdprn);
		}
	  	break;	

	} /* switch */
	return;
	} /* if */

   i = 0;
   do {
	s[i++] = (n % 10) + '0';
	if (i == 5) s[i++] = '.';
      } while( (n/=10) > 0);

   while (--i >= 0) 
         t[j++] = s[i];
   t[j] = '\0';

   switch(donde)
	{
	case STDOUT: 
		   printf("%10.10s", t);
		   break;
	
	case STDPRN:
 		{
		int stdprn;
			
		stdprn = open("/dev/lp", O_WRONLY);
		write(stdprn, t, j);
		close(stdprn);
		}
	  	break;	
		
	} /* switch */
}

