#include "nombres.h"
#include <sys/types.h>
#include <stdio.h>
#include <fcntl.h>
#include <time.h>

#define TPO_INICIAL 0
#define TAM_REG_TASK 29

/* La cola de tareas posee los identificadores y tiempos de cada uno de las 
tareas. Se utiliza para almacenar datos sobre las tareas en ejecucion y sus
tiempos */

typedef struct registro
	{
	char nombre[TAM_NOM];		/* Nombre de la tarea */
	pid_t pid;			/* pid de la tarea */
	time_t tpo_de_periodo;		/* cada cuanto ejecuta */
	time_t tpo_esperado;		/* tiempo que lleva esperando */
	} Cola_Tareas;

/* De momento, esta estructura no la uso para nada */

crear_tarea(i, pid)
int i;
pid_t pid;
{
   FILE *task_q;

   task_q = fopen("/tmp/task_q", "a");
   fprintf(task_q, "%10s %5d %5d %5d\n", nom_tareas[i], pid,
           vector_periodos[i], TPO_INICIAL);
   fclose(task_q);

#ifdef COSO1 
	printf("Sale de crear una tarea \n");
#endif
}  

get_task_q(i, tpo_esperado, tpo_de_periodo, pid)
int i;
time_t *tpo_esperado, *tpo_de_periodo;
pid_t *pid;
{
   FILE *task_q;
   char nombre[TAM_NOM];

	task_q = fopen("/tmp/task_q", "r");

	fseek(task_q, (long) i*TAM_REG_TASK, SEEK_SET);
	fscanf(task_q, "%10s %5d %5d %5d", nombre, pid, tpo_de_periodo, 
				tpo_esperado);
	fclose(task_q);

	if (feof(task_q))
		return(FALSE);
	else
		return(TRUE);
}

put_task_q(i, tpo_esperado, tpo_de_periodo, pid)
int i;
time_t tpo_esperado;
int tpo_de_periodo;
pid_t pid;
{
   int task_q;
   char buffer[TAM_REG_TASK];

	sprintf(buffer, "%10s %5d %5d %5d\n", nom_tareas[i], pid, (int) tpo_de_periodo, 
				(int) tpo_esperado);

	task_q = open("/tmp/task_q", O_WRONLY);
	lseek(task_q, (long) i*TAM_REG_TASK, SEEK_SET);
	write(task_q, buffer, TAM_REG_TASK);
	close(task_q);

#ifdef COSO1
	printf("Va a escribir en la entrada %d, los datos %d, %d\n", 
			tpo_de_periodo, tpo_esperado);
        printf("Posicion: %ld \n", (long) i*TAM_REG_TASK);
	printf("El buffer es: %s", buffer);
#endif

}
