#include "const.h"

driver()
{
   real resp;      /* Respuesta al Poll que se hace al PLC */
   int tabla, indice;          /* datos del tableau */ 
   int port;        /* variables auxiliares */
   short estado;
   real valor;
   int i;
   extern void writemem(), panico();
   extern get_port(), find_port();
   extern int pp_to_display[], pp_to_input[];

   signal(SIGUSR2, SH);

   close(pp_to_input[0]);
   close(pp_to_input[1]);
   close(pp_to_display[0]);
   close(pp_to_display[1]);

   while(SIEMPRE)
   {
      signal(PETATE, shh);
      pause();

      /* Hago un poll a todos los ports, esperando los resultados.
      Para ello busco en la cola de ports uno por uno, hago un poll.
      Escribo el resultado obtenido en el tableau. */

	for(i=0; get_port(i, &port, &tabla, &indice); i++) 
         {
           mandar(POLL, port, &estado, &resp, tabla);
#ifdef COSO1	
	   printf("Poll leyo port %d, estado %d, resp %ld tabla %d\n",
		          port, estado, resp, tabla); 
#endif
           qwrite(tabla, indice, resp, estado);
         }

      /* Hago un Select con todos los pedidos encolados en la cola_al_PLC.
      Para ello, llama a la rutina pedidos_para_PLC, que lee los datos de la
      siguiente entrada de la cola_al_PLC. Repito esto hasta que la cola de
      datos mandados al PLC esta vacia. Tomo los indices de la tabla, y 
      busco la primera en la cola de ports, para saber la direccion del
      port. Teniendo el port y el valor, hago un select. Controlo errores */

      for (i=0; pedidos_para_PLC(i, &tabla,&indice,&estado,&valor); i++)
	if (port = find_port(tabla,indice))
	{
	  mandar(SELECT, port, &estado, &valor, tabla);
 	  writemem(tabla, indice, valor, estado);
          /* escribe el estado del Select en el Tableau para indicar si
                 estuvo bien */
 	}
	else
	  writemem(tabla, indice, valor, ERR_TRANS);	

     }
}


pedidos_para_PLC(i, tabla, index, status, value)
int i;
int *tabla, *index;
short *status;
real *value;
{  
   int error;
   extern void qread();

   qread(i, tabla, index, value, status, &error);

#ifdef COSO1
   printf("Cola PLC: tabla =%d, indice=%d, valor=%d, estado=%d, error=%d\n",
		*tabla, *index, *value, *status, error);
#endif

   if (error == NO_HAY_VALORES)      /* no hay nada mas en la Cola al PLC */
       return(FALSE);
   else
	return(TRUE);
}

