#include "const.h"
#include <stdio.h>
#include <fcntl.h>

#define TAM_REG_ALM	87

add_alm(almid, tabla, indice, nom_proc, frec, prio, procedim, cuando, 
    	 al_min, al_max, tpo_esperado)
char almid[], nom_proc[], procedim[], prio;
int tabla, indice, frec, cuando;
real al_min, al_max;
time_t tpo_esperado;
{
    int list_alm, i;
    char buffer[TAM_REG_ALM];

    list_alm = open("/tmp/alarmas", O_WRONLY| O_APPEND | O_CREAT, 0666);
    if (list_alm < 0) panico(OPEN_ARCH, "List_alm: add_alm");
    printf("fd de alarmas: %d\n", list_alm);

    sprintf(buffer, "%10s%5d%5d%10s%5d%c%10s%5d%10ld%10ld%10ld%5d\n", almid,
	 tabla, indice, nom_proc, frec, prio, procedim, cuando, al_min, 
			al_max, tpo_esperado, 0); 
    printf("%s\n", buffer);
    i = write(list_alm, buffer, TAM_REG_ALM);
    printf("Escribio %d caracteres\n", i);
    close(list_alm);
}


put_alm_q(i, almid, tabla, indice, nom_proc, frec, prio, procedim, cuando, 
	 al_min, al_max, tpo_esperado, cant_ref)
char almid[], nom_proc[], procedim[], prio;
int i, tabla, indice, frec, cuando, cant_ref;
real al_min, al_max;
time_t tpo_esperado;
{
    FILE *alarmas;

    alarmas = fopen("/tmp/alarmas", "w");
    fseek(alarmas, (long) i*TAM_REG_ALM, SEEK_SET);
    fprintf(alarmas, "%10s%5d%5d%10s%5d%c%10s%5d%10ld%10ld%10ld%5d\n", almid,
	 tabla, indice, nom_proc, frec, prio, procedim, cuando, al_min, 
			al_max, tpo_esperado, cant_ref); 
    fclose(alarmas);
}


get_alm_q(i, almid, tabla, indice, nom_proc, frec, prio, procedim, cuando, 
		al_min, al_max, tpo_esperado, cant_ref)
char almid[], nom_proc[], procedim[], *prio;
int i, *tabla, *indice, *frec, *cuando, *cant_ref;
real *al_min, *al_max;
time_t *tpo_esperado;
{
    int eof;
    char buffer[TAM_REG_ALM - 1];
    int alarmas;

    alarmas = open("/tmp/alarmas", O_RDONLY);
    if (alarmas <0)  
		return FALSE;

    lseek(alarmas, (long) i*TAM_REG_ALM, SEEK_SET);
    eof = read(alarmas, buffer, TAM_REG_ALM); 
/*     printf("Leyo %d caracteres, El buffer es: \n %s \n", eof, buffer); */
    close(alarmas);
    if (eof <= 0)
	return FALSE;

    sscanf(buffer, "%10s%5d%5d%10s%5d%c%10s%5d%10ld%10ld%10ld%5d",
	almid, tabla, indice, nom_proc, frec, prio, procedim, cuando, 
		al_min, al_max, tpo_esperado, cant_ref); 

  /* printf("almid %s, tabla %d, indice %d, proc %s, frec %d prio %d procedim %s cuando %d \n",
             almid, *tabla, *indice, nom_proc, *frec, *prio, procedim, *cuando);
 */
    return TRUE;
}


sumar_uno_alm(tabla, indice)
int tabla, indice;
{
   int i;
   char almid[TAM_NOM], procedim[TAM_NOM], nom_proc[TAM_NOM], prio;
   int tabl_obt, indice_obt, frec, cuando, cant_ref;
   real al_min, al_max;
   time_t tpo_esperado;
   int get_alm_q(), put_alm_q();

    for (i=0;
          get_alm_q(i, almid, &tabl_obt, &indice_obt, nom_proc, &frec, &prio, 
	    procedim, &cuando, &al_min, &al_max, &tpo_esperado, &cant_ref);
	 i++)

	if ((tabla == tabl_obt) && (indice == indice_obt))
		{
		cant_ref++;
		printf("Incremento referencias: %d\n", cant_ref);
		put_alm_q(i, almid, tabla, indice, nom_proc, frec, prio, 
		   procedim, cuando, al_min, al_max, tpo_esperado, cant_ref);
		} /* if */
} /* funcion */


buscar_alm(almid_par)
char almid_par[];
{
    FILE *alarmas;
    char almid[TAM_NOM];
    int i, no_es_eof = 1;

    alarmas = fopen("/tmp/alarmas", "r");

    printf("Buscamos el almid %s\n", almid_par);

    for (i=0; no_es_eof > 0; i++)
	  {
	  fseek(alarmas, (long) i*TAM_REG_ALM, SEEK_SET);
	  no_es_eof = fscanf(alarmas, "%10s", almid);
	  printf("Encontro almid %s", almid);	  
	  if (strcmp(almid_par, almid) == 0)
			{
			printf("Va a devolver el valor %d\n", i);
			return i;
			}
	  }
  
   printf("Va a devolver valor maximo \n");
   return MAX_ALM;
}


ack_alm(almid_par)
char almid_par[];
{
   char nom_proc[TAM_NOM], procedim[TAM_NOM], prio;
   int i, tabla, indice, frec, cuando, cant_ref;
   real al_min, al_max;
   time_t tpo_esperado;
   short estado;
   real valor;
   int buscar_alm(), get_alm_q();
   extern readmem();

   i = buscar_alm(almid_par);
   printf("Encontro entrada %d \n", i);

   if (i == MAX_ALM)
	{
	printf("No existe tal definicion de alarma: %s \n", almid_par);
	return;
	}

   get_alm_q(i, almid_par, &tabla, &indice, nom_proc, &frec, &prio, 
	procedim, &cuando,  &al_min, &al_max, &tpo_esperado, &cant_ref);

   printf("Encontro almid=%s, tabla = %d, indice = %d \n", 
	  almid_par, tabla, indice);

   readmem(tabla, indice, &valor, &estado);
	printf("estado = %d\n", estado);

   switch(estado)
	{
	case DA:
	case HI:
	case LO:
	case SA: estado++;
		 qwrite(tabla, indice, valor, estado);
		 break;
	}
	printf("Va a salir de ack_alm\n");
}
